Bug 1312506 - sqlite 3.11.0 upgrade breaks searching in GtkFileChooser
sqlite 3.11.0 upgrade breaks searching in GtkFileChooser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jakub Dorňák
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1337903
  Show dependency treegraph
 
Reported: 2016-02-26 18:03 EST by Michael Catanzaro
Modified: 2017-02-14 08:07 EST (History)
11 users (show)

See Also:
Fixed In Version: sqlite-3.11.0-3.fc23 sqlite-3.11.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-21 02:58:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 762226 None None None 2016-02-26 18:03 EST

  None (edit)
Description Michael Catanzaro 2016-02-26 18:03:21 EST
Description of problem: The recent sqlite upgrade broke search in GtkFileChooser. I get an error dialog that says:

"""
Could not send the search request

GDBus.Error:org.freedesktop.Tracker1.SparqlError.Internal: unknown tokenizer: TrackerTokenizer
"""

And I see in my journal:

Feb 23 21:55:59 victory-road org.freedesktop.Tracker1[9685]: (tracker-store:10032): Tracker-WARNING **: Could not create FTS insert statement: unknown tokenizer: TrackerTokenizer

The tracker developers understand the issue and plan to fix it in tracker, so this change is OK in F24 and going forward. But for F23 this sqlite change should be urgently reverted, as it broke tons of applications in our stable release. This affects every GTK+ 3 application that uses a GtkFileChooser to let the user open or save files.

Version-Release number of selected component (if applicable): sqlite-3.11.0-1.fc23


How reproducible: It happens for searches in some directories but not others, not sure why


Steps to Reproduce:
1. Search for something in a GtkFileChooser, in an affected directory

Actual results: Error dialog


Expected results: No error dialog


Additional info: See also: https://bugzilla.gnome.org/show_bug.cgi?id=762226
Comment 1 Iiro Laiho 2016-03-01 10:15:12 EST
Can be reproduced by installing a clean install and then running upgrades. Any plans about how this is going to be fixed?
Comment 2 Jan Staněk 2016-03-02 06:02:52 EST
After reading the GNOME Bugzilla, the tracker seems to be fixed going forward. From the comments, I gathered that enabling the SQLITE_ENABLE_FTS3_TOKENIZER flag should provide a workaround until the tracker is updated. I will try that, see how it works out.
Comment 3 Michael Catanzaro 2016-03-02 06:57:35 EST
Yeah, and the new tracker is already in F24 and rawhide, so this is only needed in F23. (Or you could coordinate to do a tracker update for F23 as well; not sure if that's a good idea or not.)
Comment 4 Michael Catanzaro 2016-03-02 07:02:26 EST
Actually it looks like a tracker with bundled sqlite3 may be on the way for F23... David, do we need any changes from the sqlite developers or is this indeed the plan?
Comment 5 Jan Staněk 2016-03-02 07:12:11 EST
I would prefer tracker update for F23 (and probably F22, too), if it seems stable.

The other option is to use the sqlite with the FTS3 flag enabled -- this was the behavior till now, after all, and could be applied at least as a workaround. From my testing, it seems to work (`tracker search something` works with sqlite with FTS3 and does not with sqlite without FTS3).

For those interested, the F23 build with FTS3 enabled is at [1], and I would be grateful for testing.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=13199970
Comment 6 David King 2016-03-02 07:12:49 EST
I chatted to Carlos Garnacho about this, and the new sqlite build solves to problem for older tracker versions (where new 1.6.2 and 1.4.3 releases avoided the problem by embedding sqlite and enabling the FTS3 tokenizer on that bundled version). Debian has also enabled the FTS3 tokenizer: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=815499

There is nothing further needed after enabling the FTS3 tokenizer (as done in sqlite-3.11.0-3.fc23), as far as I am aware.
Comment 7 David King 2016-03-02 07:15:18 EST
(In reply to Jan Staněk from comment #5)
> I would prefer tracker update for F23 (and probably F22, too), if it seems
> stable.

As using the FTS5 tokenizer is a rather large change, it seems unwise to backport that to a stable distribution, so the FTS3 tokenizer should be enabled for F23 (thanks for the sqlite build which does that). If nothing else other than tracker depends on it, it can be disabled in F24 and onwards.
Comment 8 Jan Staněk 2016-03-02 07:22:54 EST
OK, so I will build and publish an sqlite update for F23 and F22 with the tokenizer enabled, which should solve this issue.

In rawhide/F24, I will do just dummy release bump to satify depsolver, and leave it without the tokenizer. The new tracker should not need it (and as potential security hole, we want to eventualy NOT enable it). If another dependecy on FTS3 tracker in F24+ arise, which could not be solved in other way, I will enable it later.
Comment 9 Jan Staněk 2016-03-02 07:24:39 EST
> If another dependecy on FTS3 tracker in F24+ arise, which could not be solved in other way, I will enable it later.

I obviously meant FTS3 tokenizer, sorry :)
Comment 10 Fedora Update System 2016-03-02 08:58:52 EST
sqlite-3.11.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c0444d26e4
Comment 11 Fedora Update System 2016-03-02 08:58:52 EST
sqlite-3.11.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9850932586
Comment 12 Fedora Update System 2016-03-02 17:55:28 EST
sqlite-3.11.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9850932586
Comment 13 Fedora Update System 2016-03-02 18:19:40 EST
sqlite-3.11.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c0444d26e4
Comment 14 Fedora Update System 2016-03-09 10:51:53 EST
sqlite-3.11.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-09 15:12:20 EST
sqlite-3.11.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-15 21:49:40 EDT
sqlite-3.11.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Ernesto Manríquez 2016-05-23 08:44:05 EDT
Please, can you reopen this bug? We have another dependency on FTS3 tokenizer: geary. 

I filed bug 1337903 against Geary, and installing sqlite-3.11.0-3.fc23 over my F24 install made the issue described there go away.
Comment 18 Jakub Dorňák 2016-07-20 12:36:26 EDT
I see that bug 1337903 has been fixed. Is this really still an issue?
Comment 19 Thomas Moschny 2016-07-21 02:58:51 EDT
Now that sqlite 3.12 has been pushed to F24, and geary has been rebuilt against it, this issue here is obsolete.
Comment 20 Ernesto Manríquez 2017-02-14 08:07:24 EST
Sorry, I was unable to change my password until now.

This is working perfectly here, and has worked perfectly.

Note You need to log in before you can comment on or make changes to this bug.